Activity log for bug #61184

Date Who What changed Old value New value Message
2006-09-18 23:40:36 stbaker bug added bug
2006-09-19 00:10:40 Matthew Garrett acpi-support: statusexplanation Nngh. Possibly actually a hal bug - all Thinkpads have the same screen behaviour, whereas hal only seems to flag the X31.
2006-10-05 17:26:15 zdzichu bug added attachment 'thinkpad-z61t-fix-brightness.patch' (inform HAL that my ThinkPad does brightness in hardware)
2006-10-05 17:29:01 zdzichu gnome-power-manager: status Unconfirmed Confirmed
2006-10-05 17:29:01 zdzichu gnome-power-manager: statusexplanation Nngh. Possibly actually a hal bug - all Thinkpads have the same screen behaviour, whereas hal only seems to flag the X31. It IS a HAL bug.
2006-10-06 12:53:01 zdzichu bug added attachment '10-laptop-panel-mgmt-policy.fdi' (10-laptop-panel-mgmt-policy.fdi fo TP T60)
2006-10-09 06:57:36 Martin Pitt hal: status Confirmed In Progress
2006-10-09 06:57:36 Martin Pitt hal: importance Undecided Medium
2006-10-09 06:57:36 Martin Pitt hal: statusexplanation It IS a HAL bug. Easy fix for edgy.
2006-10-09 06:57:36 Martin Pitt hal: assignee pitti
2006-10-09 08:23:43 Martin Pitt hal: status In Progress Fix Committed
2006-10-09 08:23:43 Martin Pitt hal: statusexplanation Easy fix for edgy.
2006-10-09 09:41:45 Martin Pitt hal: status Fix Committed Fix Released
2006-10-09 09:41:45 Martin Pitt hal: statusexplanation hal (0.5.7.1-0ubuntu15) edgy; urgency=low . * Add debian/patches/00upstream-05-fix-stale_nfs_handle_block.patch: - Do not stat NFS mounts when preparing for suspend to fix hang. - Patch taken from upstream git. - Closes: LP#64266 * Add debian/patches/20_laptop-panel-fixes.patch: ThinkPad T60 controls screen brightness in hardware, so set the appropriate flag in 10-laptop-panel-mgmt-policy.fdi. Closes: LP#61184 * Add debian/patches/21_smartcard_drivetype.patch: Recognize 'Storage-SDC' as smart card drive type. Closes: LP#61834 * Add debian/patches/22-prefer-pmi-over-powersave.patch: Prefer pmi over powersave in the suspend/hibernate scripts. Closes: LP#61920 * debian/patches/17-mp3-player-fdi.patch: Add information about Sandisk Corp. Sansa e270. Closes: LP#64300 * debian/patches/02_ignored_volumes.patch: Ignore Apple bootstrap partitions on removable devices, too. Closes: LP#61767 * Add debian/patches/00upstream-06-stat-dev-not-mountpoint.patch: - hald/linux/blockdev.c, blockdev_refresh_mount_state(): Stat the special device file, not the mount point's underlying device. This makes hal correctly recognize fuse mounts. - Patch ported from upstream GIT, thanks to Florent Mertens! http://gitweb.freedesktop.org/?p=hal.git;a=commit;h=2ea340399bf8cf3d2bb6bd1b5c4ecbc2042e93d4 - Closes: LP#35354
2006-10-09 11:53:38 zdzichu bug added attachment '20_laptop-panel-fixes.patch' (include z61t in Debian patch)
2006-10-09 14:04:59 Martin Pitt hal: status Fix Released In Progress
2006-10-09 14:04:59 Martin Pitt hal: statusexplanation hal (0.5.7.1-0ubuntu15) edgy; urgency=low . * Add debian/patches/00upstream-05-fix-stale_nfs_handle_block.patch: - Do not stat NFS mounts when preparing for suspend to fix hang. - Patch taken from upstream git. - Closes: LP#64266 * Add debian/patches/20_laptop-panel-fixes.patch: ThinkPad T60 controls screen brightness in hardware, so set the appropriate flag in 10-laptop-panel-mgmt-policy.fdi. Closes: LP#61184 * Add debian/patches/21_smartcard_drivetype.patch: Recognize 'Storage-SDC' as smart card drive type. Closes: LP#61834 * Add debian/patches/22-prefer-pmi-over-powersave.patch: Prefer pmi over powersave in the suspend/hibernate scripts. Closes: LP#61920 * debian/patches/17-mp3-player-fdi.patch: Add information about Sandisk Corp. Sansa e270. Closes: LP#64300 * debian/patches/02_ignored_volumes.patch: Ignore Apple bootstrap partitions on removable devices, too. Closes: LP#61767 * Add debian/patches/00upstream-06-stat-dev-not-mountpoint.patch: - hald/linux/blockdev.c, blockdev_refresh_mount_state(): Stat the special device file, not the mount point's underlying device. This makes hal correctly recognize fuse mounts. - Patch ported from upstream GIT, thanks to Florent Mertens! http://gitweb.freedesktop.org/?p=hal.git;a=commit;h=2ea340399bf8cf3d2bb6bd1b5c4ecbc2042e93d4 - Closes: LP#35354 Reopening for z61t.
2006-10-09 14:05:15 Martin Pitt title Screen brightness buttons don't work properly on Thinkpad T60 Screen brightness buttons don't work properly on Thinkpad Z61T
2006-10-12 17:11:43 Martin Pitt hal: statusexplanation Reopening for z61t. mdz is fine with fixing that for edgy.
2006-10-13 09:40:04 Martin Pitt hal: status In Progress Fix Released
2006-10-13 09:40:04 Martin Pitt hal: statusexplanation mdz is fine with fixing that for edgy. hal (0.5.7.1-0ubuntu16) edgy; urgency=low . * debian/patches/20_laptop-panel-fixes.patch: Extend match to all LENOVO ThinkPad models from the T, Z, and X series to fix brightness keys for those, too. Closes: LP#61184 Please urgently report regressions, and also improvements. Thanks!
2006-10-16 08:52:39 Martin Pitt hal: status Fix Released Needs Info
2006-10-16 08:52:39 Martin Pitt hal: statusexplanation hal (0.5.7.1-0ubuntu16) edgy; urgency=low . * debian/patches/20_laptop-panel-fixes.patch: Extend match to all LENOVO ThinkPad models from the T, Z, and X series to fix brightness keys for those, too. Closes: LP#61184 Please urgently report regressions, and also improvements. Thanks! Right, the current hal patch only fixes this for the LENOVO series, since I had no other data from the bug trail. On the other hand, Adam Conrad has an IBM T43 without hardware brightness buttons, and current edgy works fine for him. So I am reopening this for edgy+1. Everybody: Please check if this affects you, and give me the output of lshal|grep smbios.system
2006-12-12 17:56:55 Martin Pitt hal: status Needs Info Confirmed
2006-12-12 17:56:55 Martin Pitt hal: statusexplanation Right, the current hal patch only fixes this for the LENOVO series, since I had no other data from the bug trail. On the other hand, Adam Conrad has an IBM T43 without hardware brightness buttons, and current edgy works fine for him. So I am reopening this for edgy+1. Everybody: Please check if this affects you, and give me the output of lshal|grep smbios.system
2006-12-12 17:57:05 Martin Pitt hal: status Confirmed In Progress
2008-02-22 12:06:49 Martin Pitt hal: status In Progress Incomplete
2008-03-19 10:52:43 Martin Pitt hal: status Incomplete New
2008-03-19 10:52:55 Martin Pitt hal: status New Confirmed
2009-01-27 12:44:15 Martin Pitt hal: status Confirmed Fix Released
2009-01-27 12:44:15 Martin Pitt hal: statusexplanation Closing as per last report. If you still have problems, please report a bug against hal-info.